Subject: bug#25997: closed (Re: bug#25997: mirror: Add sourceforge variant with 'projects'.)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 12 Mar 2017 15:16:03 +0000

Your bug report

#25997: mirror: Add sourceforge variant with 'projects'.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
25997: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=25997
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#25997: mirror: Add sourceforge variant with 'projects'.
From: ng0 <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Sun, 12 Mar 2017 16:24:01 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Ludovic Courtès transcribed 1.7K bytes:
> ng0 <[email-masked]> skribis:
> 
> > Ludovic Courtès transcribed 0.3K bytes:
> >> Hi,
> >> 
> >> ng0 <[email-masked]> skribis:
> >> 
> >> > This adds a variant of sourceforge mirrors to cover downloads where the path includes projects instead of project.
> >> 
> >> Does that really happen?  Do you have an example?
> >> 
> >> I thought that when they changed the URL scheme a few months ago they
> >> chose one and dismissed the other.
> >> 
> >> Thanks,
> >> Ludo’.
> >> 
> >> 
> >
> > No, I run into this regulary. One example we have in the tree: tintin++.
> 
> This particular case is fixed with this patch (that I’ll push soon):
> 

> diff --git a/gnu/packages/games.scm b/gnu/packages/games.scm
> index 550652eef..efa904f7d 100644
> --- a/gnu/packages/games.scm
> +++ b/gnu/packages/games.scm
> @@ -2880,8 +2880,8 @@ the GNU GPL.")
>      (version "2.01.2")
>      (source (origin
>                (method url-fetch)
> -              (uri (string-append "https://sourceforge.net/projects/tintin"
> -                                  "/files/TinTin++ Source Code/" version
> +              (uri (string-append "mirror://sourceforge/tintin"
> +                                  "/TinTin++ Source Code/" version
>                                    "/tintin" "-" version ".tar.gz"))
>                (sha256
>                 (base32

> 
> I suspect that if there are other such cases, they can be addressed
> similarly?
> 
> Thanks,
> Ludo’.

Maybe… It's been a while since I had to use sourceforge. It could be
that the change in url from projects -> project just took a while to be
applied to all projectS.

My patch is small enough that I'll close it now, problem seems to no
longer exist and if it still does, it's just a one line change which can
be added easy enough.

Thanks.

Subject: mirror: Add sourceforge variant with 'projects'.
From: ng0 <[email-masked]>
To: [email-masked]
Date: Mon, 6 Mar 2017 12:47:13 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

This adds a variant of sourceforge mirrors to cover downloads where the path includes projects instead of project.

Patch appended as file, rebased on master.
>From 05ee3f15cf52cfa22afb1200ae0eca9d5ae41901 Mon Sep 17 00:00:00 2001
From: ng0 <[email-masked]>
Date: Mon, 16 Jan 2017 16:54:39 +0000
Subject: [PATCH] download: Add Sourceforge variant including 'projects'.

* guix/download.scm [%mirrors]: Add a variant of first mirror:
'http://downloads.sourceforge.net/projects/'.
---
 guix/download.scm | 1 +
 1 file changed, 1 insertion(+)

diff --git a/guix/download.scm b/guix/download.scm
index 86f859881..95f3d04d3 100644
--- a/guix/download.scm
+++ b/guix/download.scm
@@ -107,6 +107,7 @@
        "http://download.savannah.gnu.org/releases-noredirect/")
       (sourceforge ; https://sourceforge.net/p/forge/documentation/Mirrors/
        "http://downloads.sourceforge.net/project/"
+       "http://downloads.sourceforge.net/projects/"
        "http://ufpr.dl.sourceforge.net/project/"
        "http://heanet.dl.sourceforge.net/project/"
        "http://freefr.dl.sourceforge.net/project/"
-- 
2.12.0